Skip to main content
GET
/
connectors
/
datasources
List all datasource configurations
import requests

url = "https://{FUSION HOST}/api/connectors/datasources"

response = requests.get(url)

print(response.text)
[
  {
    "pipeline": "lucidworks-web",
    "connector": "lucidworks.web-v2",
    "parserId": "lucidworks-web",
    "created": "2024-05-21T20:40:31.295Z",
    "coreProperties": {},
    "modified": "2024-05-21T20:40:31.295Z",
    "id": "web-data",
    "type": "lucidworks.web-v2",
    "properties": {
      "collection": "HW-Testing",
      "cookieSpec": "browser-compatibility",
      "startLinks": [
        "https://datasetsearch.research.google.com/search?src=2&query=Electric%20Vehicle%20Population%20Data&docid=L2cvMTFqY2pycThneg%3D%3D"
      ]
    }
  },
  {
    "pipeline": "lucidworks-web",
    "connector": "lucidworks.web-v2",
    "parserId": "E-commerce",
    "created": "2024-03-18T16:54:23.622Z",
    "coreProperties": {
      "fetchSettings": {
        "indexingInactivityTimeout": 86400,
        "indexContentFields": false,
        "pluginInactivityTimeout": 600,
        "indexingThreads": 4,
        "fetchItemQueueSize": 10000,
        "fetchResponseCompletedTimeout": 300000,
        "asyncParsing": true,
        "fetchRequestCheckInterval": 15000,
        "fetchResponseScheduledTimeout": 300000,
        "numFetchThreads": 5,
        "pluginInstances": 0,
        "indexMetadata": false
      }
    },
    "modified": "2024-03-19T19:27:14.097Z",
    "id": "tech-products",
    "type": "lucidworks.web-v2",
    "properties": {
      "collection": "Documentation",
      "cookieSpec": "browser-compatibility",
      "startLinks": [
        "https://www.lucidworks.com"
      ]
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

collection
string

The collection for which to list associated datasources.

context
string

The app for which to list associated datasources.

Response

200 - application/json

OK